Page MenuHomePhabricator

Enable the Translate extension on Wikimedia Norge's wiki
Closed, ResolvedPublic

Description

Hi, could you please enable the translate extension for page translation on Wikimedia Norge's wiki? This is not a community wiki, but a chapter wiki, so no local consensus is needed. I am an employee of Wikimedia Norge.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAllow sysops to manage translationadmin group on no.wikimedia
operations/mediawiki-config : masterEnable Translate on no.wikimedia

Event Timeline

jhsoby created this task.Dec 6 2016, 10:59 AM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptDec 6 2016, 10:59 AM
Aklapper renamed this task from Please enable the translate extenison on Wikimedia Norge's wiki to Enable the Translate extension on Wikimedia Norge's wiki.Dec 6 2016, 3:01 PM

@jhsoby Sure. You've made this request in your quality of Wikimedia Norge employee? You discussed it internally?

jhsoby added a comment.Dec 9 2016, 2:57 PM

@Dereckson Yes & yes. It would make it easier for us to translate certain pages we use for WMF reporting etc, in a more reliable manner than just copy-pasting.

Dereckson claimed this task.Dec 9 2016, 3:41 PM
Dereckson moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 326359 had a related patch set uploaded (by Dereckson):
Enable Translate on no.wikimedia

https://gerrit.wikimedia.org/r/326359

Dereckson triaged this task as Medium priority.Dec 11 2016, 11:10 PM

Mentioned in SAL (#wikimedia-operations) [2016-12-12T12:47:28Z] <Dereckson> Created Translate tables on no.wikimedia (T152490)

Change 326359 merged by jenkins-bot:
Enable Translate on no.wikimedia

https://gerrit.wikimedia.org/r/326359

Mentioned in SAL (#wikimedia-operations) [2016-12-12T14:24:22Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Translate on no.wikimedia - T152490 (duration: 00m 45s)

Dereckson closed this task as Resolved.Dec 12 2016, 11:37 PM

Thank you very much, @Dereckson! One small issue though – even though I'm a bureaucrat, I'm not able to add people to the group "translation admins". Could you make it so that all administrators can add and remove people from that group? Should I perhaps open a separate ticket for that?

Change 326924 had a related patch set uploaded (by Urbanecm):
Fixup for T152490, allow nowikimedia crats to manipulate with translationadmin group

https://gerrit.wikimedia.org/r/326924

There is indeed a translation administrators group, and the change prepared by @Urbanecm will take care of that.

Dereckson reopened this task as Open.Dec 13 2016, 11:56 AM

Dereckson didn't allowed anybody to do that so that is the reason why you can't. I'm going to schedule my fixing patch (will allow to grant and revoke this group by all sysops) to 14:00 UTC (deploying out of schedule isn't good idea). If you need this group right now, please go to stewards (they should be able to assign it).

Thank you very much, @Dereckson and @Urbanecm!

You're welcome @jhsoby :).

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

Change 326924 merged by jenkins-bot:
Allow sysops to manage translationadmin group on no.wikimedia

https://gerrit.wikimedia.org/r/326924

Mentioned in SAL (#wikimedia-operations) [2016-12-13T14:12:34Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Allow sysops to manage translationadmin group on no.wikimedia - T152490 (duration: 00m 45s)

hashar closed this task as Resolved.Dec 13 2016, 2:17 PM
hashar added a subscriber: hashar.

I have deployed @Urbanecm change to let sysops manage the translation admin group.

Restricted Application added subscribers: jeblad, Danmichaelo. · View Herald TranscriptNov 29 2017, 10:43 PM
jhsoby-WMNO edited projects, added WMNO-General; removed WMNO.Feb 16 2018, 12:34 PM
jhsoby-WMNO moved this task from Incoming to Done on the WMNO-General board.Feb 16 2018, 12:36 PM
hashar removed a subscriber: hashar.Feb 23 2018, 3:52 PM